import { Composer } from "../composer";
import { MessageContext } from "vk-io";

export const composer = new Composer<MessageContext>();

const helpMessage = `эта штука работает через балабола (https://yandex.ru/lab/yalm)

Формат команды:
Пр номер режима текст
Пример: Пр 7 Зеленый слоник

Режимы:
1. Стандартный режим
— бот продолжит ваш текст.
2. Инструкции по применению
— перечислите предметы, а бот придумает как их использовать.
3. Рецепты
— перечислите кулинарные ингредиенты, а бот придумает рецепт с ними.
4. Народная мудрость
— напишите текст, а бот придумает про это народную мудрость.
5. Короткие истории
— напишите начало истории, а бот придумает концовку.
6. Википедия
— напишите слово, а бот даст ему определение.
7. Синопсисы фильмов
— напишите название фильма, а бот придумает сюжет.`;

composer.hear(/^(?:start|помощь|старт|начать|help|чзх)$/i, async ctx => {
    await ctx.send(helpMessage, {
        dont_parse_links: true
    });
});